Package com.enonic.xp.node

## Class CreateNodeParams

- java.lang.Object
- - com.enonic.xp.node.CreateNodeParams

-     @PublicApi
      public class CreateNodeParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CreateNodeParams.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateNodeParams.Builder` | `create()` |
    `static CreateNodeParams.Builder` | `create​(CreateNodeParams source)` |
    `boolean` | `equals​(Object o)` |
    `static CreateNodeParams.Builder` | `from​(Node node)` |
    `BinaryAttachments` | `getBinaryAttachments()` |
    `ChildOrder` | `getChildOrder()` |
    `PropertyTree` | `getData()` |
    `IndexConfigDocument` | `getIndexConfigDocument()` |
    `InsertManualStrategy` | `getInsertManualStrategy()` |
    `Long` | `getManualOrderValue()` |
    `String` | `getName()` |
    `NodeId` | `getNodeId()` |
    `NodeType` | `getNodeType()` |
    `NodePath` | `getParent()` |
    `AccessControlList` | `getPermissions()` |
    `RefreshMode` | `getRefresh()` |
    `int` | `hashCode()` |
    `boolean` | `inheritPermissions()` |
    `boolean` | `isInheritPermissions()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CreateNodeParams.Builder create()

    - #### create

          public static CreateNodeParams.Builder create​(CreateNodeParams source)

    - #### from

          public static CreateNodeParams.Builder from​(Node node)

    - #### getName

          public String getName()

    - #### getParent

          public NodePath getParent()

    - #### getData

          public PropertyTree getData()

    - #### getIndexConfigDocument

          public IndexConfigDocument getIndexConfigDocument()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### getNodeId

          public NodeId getNodeId()

    - #### isInheritPermissions

          public boolean isInheritPermissions()

    - #### getManualOrderValue

          public Long getManualOrderValue()

    - #### getInsertManualStrategy

          public InsertManualStrategy getInsertManualStrategy()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### inheritPermissions

          public boolean inheritPermissions()

    - #### getNodeType

          public NodeType getNodeType()

    - #### getBinaryAttachments

          public BinaryAttachments getBinaryAttachments()

    - #### getRefresh

          public RefreshMode getRefresh()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`